;; NETATI24.INF (Windows 2000 & Win9x combined inf)
;;
;; Allied Telesyn AT-2400 Series PCI 10Mb Ethernet Adapter INF
;;
;; Copyright 1996-2000, Allied Telesyn International

[version]
Signature   = "$Windows NT$"
Class       = Net
ClassGUID   = {4d36e972-e325-11ce-bfc1-08002be10318}
Provider    = %Allied%
DriverVer   = 05/02/2001,5.508.0502.2001

[Manufacturer]
%Allied%   = Allied

[ControlFlags]
ExcludeFromSelect     = PCI\VEN_10EC&DEV_8029 , \
 			PCI\VEN_10EC&DEV_8029&SUBSYS_24001259

[Allied]
%at2400.DeviceDesc%  = at2400.ndi, PCI\VEN_10EC&DEV_8029&SUBSYS_24001259

;;****************************************************************************
;; Windows 9x
;;****************************************************************************
[at2400.ndi]
DriverVer       = 05/02/2001,5.508.0502.2001
AddReg          = at2400.id.reg, at2400.common.reg, at2400.win.reg, AutoNDIS.reg
;CopyFiles       = at2400.CopyFiles98


;;****************************************************************************
;; NT 5.0
;;****************************************************************************
[at2400.ndi.NT]
AddReg          = at2400.common.reg, at2400.reg
Characteristics = 0x84
BusType         = 5
;CopyFiles       = at2400.CopyFiles

[at2400.ndi.NT.Services]
AddService = at2400, 2, rtsnt.Service, at2400.EventLog


[at2400.CopyFiles]
at2400m5.sys,,,2

[at2400.CopyFiles98]
at2400m5.sys,,,2
at2400m4.sys,,,2
at2400m3.sys,,,2
atindi.dll,,,2
;;----------------------------------------------------------------------------
;; at2400 Parameters
;;----------------------------------------------------------------------------
;;***************************************************************************
;; Windows 9x parameters
;;***************************************************************************
[at2400.id.reg]
HKR, Ndi,       DeviceID,       0,      "PCI\VEN_10EC&DEV_8029"

HKR, Ndi\Install,                       ,       0,      rtsnt.install
HKR, NDI\Params\MediaMode,             flag,   1,      30, 00, 00, 00
HKR, NDI\Params\NetworkAddress,         flag,   1,      30, 00, 00, 00

[at2400.win.reg]
;; key,subkey,valuname,type,value
HKR, ,  DriverDesc,     0,      "Allied Telesyn AT-2400 NDIS 5.0 Miniport "
HKR, ,  DevLoader,      0,      *ndis
HKR, ,  DeviceVxDs,     0,      at2400m5.sys
HKR, ,  EnumPropPages,  0,      netdi.dll,      EnumPropPages

;;params
HKR, ,  MediaType,      0,      1
HKR, ,  AdapterType,    0,      5
HKR, ,  BusType,        0,      5

;; NDIS Info
HKR, NDIS,              MajorNdisVersion,       1,      03
HKR, NDIS,              MinorNdisVersion,       1,      0a
HKR, NDIS,              LogDriverName,          0,      "at2400"

;; Interfaces
HKR, Ndi\Interfaces,    DefLower,               ,       "ethernet"
HKR, Ndi\Interfaces,    LowerRange,             ,       "ethernet"
HKR, Ndi\Interfaces,    DefUpper,               ,       "ndis3"
HKR, Ndi\Interfaces,    UpperRange,             ,       "ndis3"

;; Install sections
HKR, Ndi,               NdiInstaller,            ,      "ATINDI.DLL,MyNdiProc"
HKR, Ndi\Install,       ndis3,                  0,      "rtl139.ndis5"

;;****************************************************************************
;; at2400 common parameters
;;****************************************************************************

[at2400.common.reg]
HKR,Ndi\params\MediaMode,ParamDesc,0,"Duplex Mode"
HKR,Ndi\params\MediaMode,type,0,"enum"
HKR,Ndi\params\MediaMode,default,0,"0"
HKR,Ndi\params\MediaMode\enum,0,0,"Half Duplex (Default)"
HKR,Ndi\params\MediaMode\enum,1,0,"Full Duplex"

HKR,Ndi\params\NetworkAddress,   ParamDesc, 0, %NetworkAddress%
HKR,Ndi\params\NetworkAddress,   type,      0, "edit"
HKR,Ndi\params\NetworkAddress,   default,   0, "000000000000"
HKR,Ndi\params\NetworkAddress,   LimitText, 0, "12"
HKR,Ndi\params\NetworkAddress,   UpperCase, 0, "1"
HKR,Ndi\params\NetworkAddress,   Optional,  0, "1"

[AutoNDIS.Reg]
HKR, NDI\params\NDIS_VERSION,           flag,   1,      20, 00, 00, 00
HKR,,NDIS_VERSION,,"AUTO"
HKR,NDI\params\NDIS_VERSION,,,"AUTO"
HKR,NDI\params\NDIS_VERSION,ParamDesc,,"NDIS Driver Version"
HKR,NDI\params\NDIS_VERSION,type,,enum
HKR,Ndi\params\NDIS_VERSION\enum,AUTO,,"Auto Select"
HKR,Ndi\params\NDIS_VERSION\enum,NDIS3,,"NDIS 3"
HKR,Ndi\params\NDIS_VERSION\enum,NDIS4,,"NDIS 4"
HKR,Ndi\params\NDIS_VERSION\enum,NDIS5,,"NDIS 5"
HKR,Ndi\params\NDIS_VERSION\Drivers,NDIS3,,"at2400m3.sys"
HKR,Ndi\params\NDIS_VERSION\Drivers,NDIS4,,"at2400m4.sys"
HKR,Ndi\params\NDIS_VERSION\Drivers,NDIS5,,"at2400m5.sys"

;;****************************************************************************
;; NT 5.0 parameters
;;****************************************************************************
[at2400.reg]
HKR, Ndi\Interfaces,            UpperRange, 0, "ndis5"
HKR, Ndi\Interfaces,            LowerRange, 0, "ethernet"
HKR, Ndi,                       Service,    0, "at2400"

[rtsnt.Service]
DisplayName     = %at2400.Service.DispName%
ServiceType     = 1                             ; %SERVICE_KERNEL_DRIVER%
StartType       = 3                             ; %SERVICE_DEMAND_START%
ErrorControl    = 1                             ; %SERVICE_ERROR_NORMAL%
ServiceBinary   = %12%\at2400m5.SYS
LoadOrderGroup  = NDIS

[at2400.EventLog]
Addreg = at2400.AddEventLog.reg

[at2400.AddEventLog.reg]
HKR,    ,   EventMessageFile,   0x00020000, "%%SystemRoot%%\System32\netevent.dll"
HKR,    ,   TypesSupported,     0x00010001, 7

;;****************************************************************************
;; Destination Directory
;;****************************************************************************
[DestinationDirs]
at2400.CopyFiles           = 12
at2400.CopyFiles98         = 11
DefaultDestDir             = 11        ; LDID_SYS

;;****************************************************************************
;; Source Files
;;****************************************************************************
[SourceDisksNames]
1=%DISKNAME%,,,

[SourceDisksFiles]
at2400m3.sys  = 1
at2400m4.sys  = 1
at2400m5.sys  = 1
atindi.dll    = 1
;;****************************************************************************
;; Strings
;;****************************************************************************
[Strings]
Allied                   = "Allied"

;;Source disk name
DISKNAME = " CardAssistant Disk "

NetworkAddress            = "Network Address"

at2400.DeviceDesc        = "Allied Telesyn AT-2400 Series PCI 10Mb Ethernet Adapter"
at2400.Service.DispName  = "AT-2400 PCI Ethernet NDIS 5.0 Driver"